import { BaseProvider } from '#templates/base/provider';
import { ContractFile } from '#models/ContractFile';

export class ContractFileProvider extends BaseProvider<ContractFile> {
	public static instance: ContractFileProvider;

	public static getInstance(): ContractFileProvider {
		ContractFileProvider.instance ??= new ContractFileProvider();
		return ContractFileProvider.instance;
	}

	public static get model() {
		return ContractFile;
	}

	constructor() {
		super('ContractFile');
	}
}
